TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RestrictField ( mdl^vec/fld V, fld^fin S ) -> mdl^vec/fld, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given a K-vector space V, with K a finite field and S a subfield of K, construct the S-vector space W consisting of all elements of V whose components lie in S, together with the restriction map from V onto W. </shortdoc>

### Examples

x_G := FiniteField(49); x_v:=Vector([2*x_G.1, 3*x_G.1, 2*x_G.1]); x_V:=Parent(x_v); x_F := FiniteField(7); RestrictField(x_V, x_F);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack